@extends('frontend.layouts.app')

@section('content')

    <section class="py-5">
        <div class="container">
            <div class="d-flex align-items-start">
                @include('frontend.inc.user_side_nav')

                <div class="aiz-user-panel">
                    <div class="card">
                        <div class="card-header">
                            <h5 class="mb-0 h6">{{ translate('Payment History') }}</h5>
                        </div>
                        @if (count($payments) > 0)
                            <div class="card-body">
                                <table class="table aiz-table mb-0">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>{{ translate('Date')}}</th>
                                            <th>{{ translate('Amount')}}</th>
                                            <th>{{ translate('Payment Method')}}</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($payments as $key => $payment)
                                            <tr>
                                                <td>
                                                    {{ $key+1 }}
                                                </td>
                                                <td>{{ date('d-m-Y', strtotime($payment->created_at)) }}</td>
                                                <td>
                                                    {{ single_price($payment->amount) }}
                                                </td>
                                                <td>
                                                    {{ ucfirst(str_replace('_', ' ', $payment->payment_method)) }} @if ($payment->txn_code != null) ({{  translate('TRX ID') }} : {{ $payment->txn_code }}) @endif
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                                <div class="aiz-pagination">
                                	{{ $payments->links() }}
                              	</div>
                            </div>
                        @endif
                    </div>
                </div>

            </div>
        </div>
    </section>

@endsection
